# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PBRep_CurveRepresentation Class Reference

`#include <ShapeSchema_PBRep_CurveRepresentation.hxx>`

## Public Member Functions

| ShapeSchema_PBRep_CurveRepresentation ()
Standard_EXPORT Handle_Standard_Persistent | New () const
Standard_EXPORT void | Add (const Handle(Standard_Persistent)&, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Write (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Read (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
| ~ShapeSchema_PBRep_CurveRepresentation ()
Standard_EXPORT Standard_Boolean | IsKind (const Handle(Standard_Type)&AType) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const Handle(PBRep_CurveRepresentation)&, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SWrite (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SRead (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)

## Constructor & Destructor Documentation

ShapeSchema_PBRep_CurveRepresentation::ShapeSchema_PBRep_CurveRepresentation | ( |  | ) | `[inline]`

ShapeSchema_PBRep_CurveRepresentation::~ShapeSchema_PBRep_CurveRepresentation | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void ShapeSchema_PBRep_CurveRepresentation::Add | ( | const Handle(Standard_Persistent)& | ,
|  | const Handle(Storage_Schema)& |
| ) | const

Standard_EXPORT const ShapeSchema_PBRep_CurveRepresentation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean ShapeSchema_PBRep_CurveRepresentation::IsKind | ( | const Handle(Standard_Type)& | AType | ) | const

Standard_EXPORT Handle_Standard_Persistent ShapeSchema_PBRep_CurveRepresentation::New | ( |  | ) | const

Standard_EXPORT void ShapeSchema_PBRep_CurveRepresentation::Read | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

static Standard_EXPORT void ShapeSchema_PBRep_CurveRepresentation::SAdd | ( | const Handle(PBRep_CurveRepresentation)& | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PBRep_CurveRepresentation::SRead | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PBRep_CurveRepresentation::SWrite | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

Standard_EXPORT void ShapeSchema_PBRep_CurveRepresentation::Write | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

The documentation for this class was generated from the following file:

- ShapeSchema_PBRep_CurveRepresentation.hxx